Page MenuHomePhabricator

APFloat: Add frexp
ClosedPublic

Authored by arsenm on Mar 14 2016, 2:47 PM.

Details

Reviewers
scanon

Diff Detail

Event Timeline

arsenm updated this revision to Diff 50653.Mar 14 2016, 2:47 PM
arsenm retitled this revision from to APFloat: Add frexp.
arsenm updated this object.
arsenm added a reviewer: scanon.
arsenm added a subscriber: llvm-commits.
scanon added inline comments.Mar 15 2016, 11:54 AM
lib/Support/APFloat.cpp
4003

Please add a comment explaining that we add 1 because frexp is defined to return a normalized fraction in +/-[0.5, 1.0) rather than the usual range +/-[1.0,2).

arsenm updated this revision to Diff 51178.Mar 21 2016, 9:23 AM

Add comment

scanon accepted this revision.Mar 21 2016, 9:24 AM
scanon edited edge metadata.

LGTM, thanks.

This revision is now accepted and ready to land.Mar 21 2016, 9:24 AM
arsenm closed this revision.Mar 21 2016, 9:55 AM

r263950